AC_REVISION($Revision $)
AC_INIT(swapd, 0.6.4)
AC_CONFIG_HEADER(config.h)
AC_CANONICAL_HOST

dnl Checks for programs.
AC_PROG_CC
AC_PROG_MAKE_SET
AC_PROG_INSTALL
AC_AIX
AC_GNU_SOURCE

AC_CHECK_HEADERS(stdlib.h string.h unistd.h time.h sys/time.h getopt.h stdio.h asm/page.h sys/swap.h sys/stat.h sys/types.h fcntl.h dirent.h ctype.h sys/param.h)
AC_HEADER_TIME

DC_DO_TYPE(uint64_t, unsigned, 8)
DC_DO_TYPE(int64_t, signed, 8)
DC_DO_TYPE(uint32_t, unsigned, 4)
DC_DO_TYPE(int32_t, signed, 4)

AC_REPLACE_FUNCS(getopt strsep)

AC_CHECK_FUNCS(swapoff)

DC_CHK_SWAPON

DC_CHK_OSSPECIFIC

AC_CONFIG_FILES([Makefile swapd.8 swapd.conf.5])
AC_OUTPUT
